# Class ParamFactory

- Defined in router/params/param-factory.js:3

#####
Index

### Constructors

constructor

### Properties

urlServiceConfig

### Methods

fromConfig
fromPath
fromSearch

##
Constructors

### constructor

- new ParamFactory(urlServiceConfig): ParamFactory

- #### Parameters

  - urlServiceConfig: any

  #### Returns ParamFactory

  - Defined in router/params/param-factory.js:4

##
Properties

### urlServiceConfig

urlServiceConfig: any

- Defined in router/params/param-factory.js:5

##
Methods

### fromConfig

- fromConfig(id, type, state): Param

- #### Parameters

  - id: any
  - type: any
  - state: any

  #### Returns Param

  - Defined in router/params/param-factory.js:8

### fromPath

- fromPath(id, type, state): Param

- #### Parameters

  - id: any
  - type: any
  - state: any

  #### Returns Param

  - Defined in router/params/param-factory.js:11

### fromSearch

- fromSearch(id, type, state): Param

- #### Parameters

  - id: any
  - type: any
  - state: any

  #### Returns Param

  - Defined in router/params/param-factory.js:14